Keep the exact pre-start runner slot available
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/simulations/{batchId}/work/{workId}/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"runnerId": "<string>",
"expectedVersion": 0
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/simulations/{batchId}/work/{workId}/refresh"
payload = {
"runnerId": "<string>",
"expectedVersion": 0
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({runnerId: '<string>', expectedVersion: 0})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/simulations/{batchId}/work/{workId}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receipt": {
"organizationId": "<string>",
"projectId": "<string>",
"batchId": "<string>",
"schemaVersion": 1,
"workId": "<string>",
"runnerId": "<string>",
"action": "request",
"version": 0,
"recordedAtMs": 0,
"preStartExpiresAtMs": 0,
"acceptedSession": {
"sessionId": "<string>",
"leaseGeneration": 4503599627370495
}
},
"work": {
"organizationId": "<string>",
"projectId": "<string>",
"batchId": "<string>",
"schemaVersion": 1,
"workId": "<string>",
"runnerId": "<string>",
"version": 0,
"phase": "waiting",
"preStartExpiresAtMs": 0,
"capacityOccupied": true,
"waiting": {
"code": "fair_queue",
"retryAfterMs": 150000,
"action": "wait"
},
"case": {
"caseId": "<string>",
"targetId": "<string>",
"buildHash": "<string>",
"drillId": "<string>",
"seed": "<string>",
"trial": 5000,
"attempt": 5
},
"session": {
"sessionId": "<string>",
"leaseGeneration": 4503599627370495
},
"hostedRunId": "<string>"
},
"replayed": true
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Keep the exact pre-start runner slot available
Requires the current work version and original mutation key. Returns the original immutable receipt separately from current work state. Acceptance is not callback permission: only a fresh common interaction start permits invocation. After any callback has started, use existing run cancellation rather than withdrawing or replaying execution.
Keep the exact pre-start runner slot available
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^cisuite_[0-9a-z]{12,32}$Pattern:
^simwork_[0-9a-z]{12,32}$Body
application/json